## onewebapp-window

### 安装
```npm
npm i onewebapp-window
```

### 介绍 
这是一个类似于window窗口的组件，可以拖拽移动，拖拽缩放 


### 使用
- 单独引用
```vue
<template>
  <div>
    <window title="窗口">
        <div>内容</div>
    </window>
  </div>
</template>

<script>
import window from 'onewebapp-window'

export default {
  components: {
    window
  }
}
</script>

```
- 全局引用
```js
//在main.js
import window from 'onewebapp-window'

Vue.use(window)
```


### 传值

```vue
<window title="窗口" :isrun="true" :isZoom="true" width="100" height="200" top="0" left="0"></window>
<!-- title: 标题 => String -->
<!-- isRun: 是否移动 默认true => Boolean -->
<!-- isZoom: 是否可以缩放， 默认true => Boolean -->
<!-- width: 宽 => [String, Number] -->
<!-- height: 高 => [String, Number] -->
<!-- top: 上=> [String, Number] -->
<!-- left: 左 => [String, Number] -->
```


### 方法
```js
<window @closeFun="closeFun" @clickItem="clickItem"></window>

closeFun() {
  console.log('关闭时执行')
}

clickItem() {
  console.log("鼠标按下")
}

```

### 注意
```vue
// 若出现事件无法取消，则在父元素上添加事件

<div @mouseup="clearEvent" style="position: relative; width: 100%; height: 100%">
    <window></window>
</div>

clearEvent() {
    document.onmousemove = null;
    document.onmouseup = null;
}
```


